diff --git a/django/core/management/__init__.py b/django/core/management/__init__.py
index 1345eaf..bf3790d 100644
--- a/django/core/management/__init__.py
+++ b/django/core/management/__init__.py
@@ -97,8 +97,8 @@ def get_commands():
 
         # Find the installed apps
         try:
-            from django.conf import settings
-            apps = settings.INSTALLED_APPS
+            from django.apps import cache
+            apps = cache.loaded_apps
         except (AttributeError, EnvironmentError, ImportError):
             apps = []
 
@@ -111,10 +111,10 @@ def get_commands():
             project_directory = None
 
         # Find and load the management module for each installed app.
-        for app_name in apps:
+        for app in apps:
             try:
-                path = find_management_module(app_name)
-                _commands.update(dict([(name, app_name)
+                path = find_management_module(app._meta.name)
+                _commands.update(dict([(name, app._meta.name)
                                        for name in find_commands(path)]))
             except ImportError:
                 pass # No management module - ignore this app
@@ -316,7 +316,7 @@ class ManagementUtility(object):
                 try:
                     from django.conf import settings
                     # Get the last part of the dotted path as the app name.
-                    options += [(a.split('.')[-1], 0) for a in settings.INSTALLED_APPS]
+                    options += [(a._meta.label, 0) for app in cache.loaded_apps]
                 except ImportError:
                     # Fail silently if DJANGO_SETTINGS_MODULE isn't set. The
                     # user will find out once they execute the command.
@@ -423,6 +423,12 @@ def setup_environ(settings_mod, original_settings_path=None):
     project_module = import_module(project_name)
     sys.path.pop()
 
+    # Initialize the appcache and look for errors
+    from django.apps import cache
+    for (app_name, error) in cache.get_app_errors().items():
+        sys.stderr.write("%s: %s" % (app_name, error))
+        sys.exit(1)
+
     return project_directory
 
 def execute_from_command_line(argv=None):
diff --git a/django/core/management/commands/flush.py b/django/core/management/commands/flush.py
index bcadb96..dcb2a1a 100644
--- a/django/core/management/commands/flush.py
+++ b/django/core/management/commands/flush.py
@@ -1,5 +1,6 @@
 from optparse import make_option
 
+from django.apps import cache
 from django.conf import settings
 from django.db import connections, router, transaction, models, DEFAULT_DB_ALIAS
 from django.core.management import call_command
@@ -29,9 +30,9 @@ class Command(NoArgsCommand):
 
         # Import the 'management' module within each installed app, to register
         # dispatcher events.
-        for app_name in settings.INSTALLED_APPS:
+        for app in cache.loaded_apps:
             try:
-                import_module('.management', app_name)
+                import_module('%s.management' % app._meta.name)
             except ImportError:
                 pass
 
diff --git a/django/core/management/commands/syncdb.py b/django/core/management/commands/syncdb.py
index 4383c34..13b8224 100644
--- a/django/core/management/commands/syncdb.py
+++ b/django/core/management/commands/syncdb.py
@@ -1,6 +1,7 @@
 from optparse import make_option
 import sys
 
+from django.apps import cache
 from django.conf import settings
 from django.core.management.base import NoArgsCommand
 from django.core.management.color import no_style
@@ -18,7 +19,7 @@ class Command(NoArgsCommand):
             default=DEFAULT_DB_ALIAS, help='Nominates a database to synchronize. '
                 'Defaults to the "default" database.'),
     )
-    help = "Create the database tables for all apps in INSTALLED_APPS whose tables haven't already been created."
+    help = "Create the database tables for all installed apps whose tables haven't already been created."
 
     def handle_noargs(self, **options):
 
@@ -34,9 +35,9 @@ class Command(NoArgsCommand):
 
         # Import the 'management' module within each installed app, to register
         # dispatcher events.
-        for app_name in settings.INSTALLED_APPS:
+        for app in cache.loaded_apps:
             try:
-                import_module('.management', app_name)
+                import_module('.management', app._meta.name)
             except ImportError, exc:
                 # This is slightly hackish. We want to ignore ImportErrors
                 # if the "management" module itself is missing -- but we don't
@@ -63,10 +64,11 @@ class Command(NoArgsCommand):
 
         # Build the manifest of apps and models that are to be synchronized
         all_models = [
-            (app.__name__.split('.')[-2],
-                [m for m in models.get_models(app, include_auto_created=True)
+            (app._meta.label,
+                [m for m in models.get_models(app._meta.models_module,
+                                              include_auto_created=True)
                 if router.allow_syncdb(db, m)])
-            for app in models.get_apps()
+            for app in cache.loaded_apps
         ]
         def model_installed(model):
             opts = model._meta
@@ -101,7 +103,6 @@ class Command(NoArgsCommand):
                     cursor.execute(statement)
                 tables.append(connection.introspection.table_name_converter(model._meta.db_table))
 
-
         transaction.commit_unless_managed(using=db)
 
         # Send the post_syncdb signal, so individual apps can do whatever they need
diff --git a/django/core/management/sql.py b/django/core/management/sql.py
index 298882f..1b170c2 100644
--- a/django/core/management/sql.py
+++ b/django/core/management/sql.py
@@ -1,10 +1,10 @@
 import os
 import re
 
+from django.apps import cache, get_models
 from django.conf import settings
 from django.core.management.base import CommandError
 from django.db import models
-from django.db.models import get_models
 
 def sql_create(app, style, connection):
     "Returns a list of the CREATE TABLE SQL statements for the given app."
@@ -182,7 +182,8 @@ def custom_sql_for_model(model, style, connection):
 def emit_post_sync_signal(created_models, verbosity, interactive, db):
     # Emit the post_sync signal for every application.
     for app in models.get_apps():
-        app_name = app.__name__.split('.')[-2]
+        app_cls = cache.find_app_by_models_module(app)
+        app_name = app_cls._meta.label
         if verbosity >= 2:
             print "Running post-sync handlers for application", app_name
         models.signals.post_syncdb.send(sender=app, app=app,
diff --git a/django/db/models/loading.py b/django/db/models/loading.py
index 03cdcc2..22c2c41 100644
--- a/django/db/models/loading.py
+++ b/django/db/models/loading.py
@@ -1,251 +1,10 @@
-"Utilities for loading models and the modules that contain them."
+import warnings
 
-from django.conf import settings
-from django.core.exceptions import ImproperlyConfigured
-from django.utils.datastructures import SortedDict
-from django.utils.importlib import import_module
-from django.utils.module_loading import module_has_submodule
+from django.apps import (App, AppCache, cache,
+    find_app, get_apps, get_app, get_app_errors, get_models, get_model,
+    register_models, load_app, app_cache_ready)
 
-import sys
-import os
-import threading
-
-__all__ = ('get_apps', 'get_app', 'get_models', 'get_model', 'register_models',
-        'load_app', 'app_cache_ready')
-
-class AppCache(object):
-    """
-    A cache that stores installed applications and their models. Used to
-    provide reverse-relations and for app introspection (e.g. admin).
-    """
-    # Use the Borg pattern to share state between all instances. Details at
-    # http://aspn.activestate.com/ASPN/Cookbook/Python/Recipe/66531.
-    __shared_state = dict(
-        # Keys of app_store are the model modules for each application.
-        app_store = SortedDict(),
-
-        # Mapping of installed app_labels to model modules for that app.
-        app_labels = {},
-
-        # Mapping of app_labels to a dictionary of model names to model code.
-        # May contain apps that are not installed.
-        app_models = SortedDict(),
-
-        # Mapping of app_labels to errors raised when trying to import the app.
-        app_errors = {},
-
-        # -- Everything below here is only used when populating the cache --
-        loaded = False,
-        handled = {},
-        postponed = [],
-        nesting_level = 0,
-        write_lock = threading.RLock(),
-        _get_models_cache = {},
-    )
-
-    def __init__(self):
-        self.__dict__ = self.__shared_state
-
-    def _populate(self):
-        """
-        Fill in all the cache information. This method is threadsafe, in the
-        sense that every caller will see the same state upon return, and if the
-        cache is already initialised, it does no work.
-        """
-        if self.loaded:
-            return
-        self.write_lock.acquire()
-        try:
-            if self.loaded:
-                return
-            for app_name in settings.INSTALLED_APPS:
-                if app_name in self.handled:
-                    continue
-                self.load_app(app_name, True)
-            if not self.nesting_level:
-                for app_name in self.postponed:
-                    self.load_app(app_name)
-                self.loaded = True
-        finally:
-            self.write_lock.release()
-
-    def _label_for(self, app_mod):
-        """
-        Return app_label for given models module.
-
-        """
-        return app_mod.__name__.split('.')[-2]
-
-    def load_app(self, app_name, can_postpone=False):
-        """
-        Loads the app with the provided fully qualified name, and returns the
-        model module.
-        """
-        self.handled[app_name] = None
-        self.nesting_level += 1
-        app_module = import_module(app_name)
-        try:
-            models = import_module('.models', app_name)
-        except ImportError:
-            self.nesting_level -= 1
-            # If the app doesn't have a models module, we can just ignore the
-            # ImportError and return no models for it.
-            if not module_has_submodule(app_module, 'models'):
-                return None
-            # But if the app does have a models module, we need to figure out
-            # whether to suppress or propagate the error. If can_postpone is
-            # True then it may be that the package is still being imported by
-            # Python and the models module isn't available yet. So we add the
-            # app to the postponed list and we'll try it again after all the
-            # recursion has finished (in populate). If can_postpone is False
-            # then it's time to raise the ImportError.
-            else:
-                if can_postpone:
-                    self.postponed.append(app_name)
-                    return None
-                else:
-                    raise
-
-        self.nesting_level -= 1
-        if models not in self.app_store:
-            self.app_store[models] = len(self.app_store)
-            self.app_labels[self._label_for(models)] = models
-        return models
-
-    def app_cache_ready(self):
-        """
-        Returns true if the model cache is fully populated.
-
-        Useful for code that wants to cache the results of get_models() for
-        themselves once it is safe to do so.
-        """
-        return self.loaded
-
-    def get_apps(self):
-        "Returns a list of all installed modules that contain models."
-        self._populate()
-
-        # Ensure the returned list is always in the same order (with new apps
-        # added at the end). This avoids unstable ordering on the admin app
-        # list page, for example.
-        apps = [(v, k) for k, v in self.app_store.items()]
-        apps.sort()
-        return [elt[1] for elt in apps]
-
-    def get_app(self, app_label, emptyOK=False):
-        """
-        Returns the module containing the models for the given app_label. If
-        the app has no models in it and 'emptyOK' is True, returns None.
-        """
-        self._populate()
-        self.write_lock.acquire()
-        try:
-            for app_name in settings.INSTALLED_APPS:
-                if app_label == app_name.split('.')[-1]:
-                    mod = self.load_app(app_name, False)
-                    if mod is None:
-                        if emptyOK:
-                            return None
-                    else:
-                        return mod
-            raise ImproperlyConfigured("App with label %s could not be found" % app_label)
-        finally:
-            self.write_lock.release()
-
-    def get_app_errors(self):
-        "Returns the map of known problems with the INSTALLED_APPS."
-        self._populate()
-        return self.app_errors
-
-    def get_models(self, app_mod=None,
-                   include_auto_created=False, include_deferred=False,
-                   only_installed=True):
-        """
-        Given a module containing models, returns a list of the models.
-        Otherwise returns a list of all installed models.
-
-        By default, auto-created models (i.e., m2m models without an
-        explicit intermediate table) are not included. However, if you
-        specify include_auto_created=True, they will be.
-
-        By default, models created to satisfy deferred attribute
-        queries are *not* included in the list of models. However, if
-        you specify include_deferred, they will be.
-        """
-        cache_key = (app_mod, include_auto_created, include_deferred, only_installed)
-        try:
-            return self._get_models_cache[cache_key]
-        except KeyError:
-            pass
-        self._populate()
-        if app_mod:
-            if app_mod in self.app_store:
-                app_list = [self.app_models.get(self._label_for(app_mod),
-                                                SortedDict())]
-            else:
-                app_list = []
-        else:
-            if only_installed:
-                app_list = [self.app_models.get(app_label, SortedDict())
-                            for app_label in self.app_labels.iterkeys()]
-            else:
-                app_list = self.app_models.itervalues()
-        model_list = []
-        for app in app_list:
-            model_list.extend(
-                model for model in app.values()
-                if ((not model._deferred or include_deferred) and
-                    (not model._meta.auto_created or include_auto_created))
-            )
-        self._get_models_cache[cache_key] = model_list
-        return model_list
-
-    def get_model(self, app_label, model_name,
-                  seed_cache=True, only_installed=True):
-        """
-        Returns the model matching the given app_label and case-insensitive
-        model_name.
-
-        Returns None if no model is found.
-        """
-        if seed_cache:
-            self._populate()
-        if only_installed and app_label not in self.app_labels:
-            return None
-        return self.app_models.get(app_label, SortedDict()).get(model_name.lower())
-
-    def register_models(self, app_label, *models):
-        """
-        Register a set of models as belonging to an app.
-        """
-        for model in models:
-            # Store as 'name: model' pair in a dictionary
-            # in the app_models dictionary
-            model_name = model._meta.object_name.lower()
-            model_dict = self.app_models.setdefault(app_label, SortedDict())
-            if model_name in model_dict:
-                # The same model may be imported via different paths (e.g.
-                # appname.models and project.appname.models). We use the source
-                # filename as a means to detect identity.
-                fname1 = os.path.abspath(sys.modules[model.__module__].__file__)
-                fname2 = os.path.abspath(sys.modules[model_dict[model_name].__module__].__file__)
-                # Since the filename extension could be .py the first time and
-                # .pyc or .pyo the second time, ignore the extension when
-                # comparing.
-                if os.path.splitext(fname1)[0] == os.path.splitext(fname2)[0]:
-                    continue
-            model_dict[model_name] = model
-        self._get_models_cache.clear()
-
-cache = AppCache()
-
-# These methods were always module level, so are kept that way for backwards
-# compatibility.
-get_apps = cache.get_apps
-get_app = cache.get_app
-get_app_errors = cache.get_app_errors
-get_models = cache.get_models
-get_model = cache.get_model
-register_models = cache.register_models
-load_app = cache.load_app
-app_cache_ready = cache.app_cache_ready
+warnings.warn(
+    'The utilities in django.db.models.loading have been moved to '
+    'django.apps. Please update your code accordingly.',
+    PendingDeprecationWarning)
diff --git a/django/db/models/options.py b/django/db/models/options.py
index 6f0f406..5d19fe9 100644
--- a/django/db/models/options.py
+++ b/django/db/models/options.py
@@ -1,6 +1,7 @@
 import re
 from bisect import bisect
 
+from django.apps import cache
 from django.conf import settings
 from django.db.models.related import RelatedObject
 from django.db.models.fields.related import ManyToManyRel
@@ -10,9 +11,8 @@ from django.db.models.loading import get_models, app_cache_ready
 from django.utils.translation import activate, deactivate_all, get_language, string_concat
 from django.utils.encoding import force_unicode, smart_str
 from django.utils.datastructures import SortedDict
+from django.utils.text import get_verbose_name
 
-# Calculate the verbose_name by converting from InitialCaps to "lowercase with spaces".
-get_verbose_name = lambda class_name: re.sub('(((?<=[a-z])[A-Z])|([A-Z](?![A-Z]|$)))', ' \\1', class_name).lower().strip()
 
 DEFAULT_NAMES = ('verbose_name', 'verbose_name_plural', 'db_table', 'ordering',
                  'unique_together', 'permissions', 'get_latest_by',
@@ -59,7 +59,8 @@ class Options(object):
         from django.db.backends.util import truncate_name
 
         cls._meta = self
-        self.installed = re.sub('\.models$', '', cls.__module__) in settings.INSTALLED_APPS
+        # The AppCache sets this attribute to True for apps that are installed
+        self.installed = False
         # First, construct the default values for these options.
         self.object_name = cls.__name__
         self.module_name = self.object_name.lower()
@@ -100,10 +101,14 @@ class Options(object):
             self.verbose_name_plural = string_concat(self.verbose_name, 's')
         del self.meta
 
-        # If the db_table wasn't provided, use the app_label + module_name.
+        # If the db_table wasn't provided, use the db_prefix + module_name.
+        # Or use the app label when no app instance was found, which happens
+        # when the app cache is not initialized but the model is imported
         if not self.db_table:
-            self.db_table = "%s_%s" % (self.app_label, self.module_name)
-            self.db_table = truncate_name(self.db_table, connection.ops.max_name_length())
+            app = cache.find_app(self.app_label)
+            prefix = app and app._meta.db_prefix or self.app_label
+            self.db_table = truncate_name("%s_%s" % (prefix, self.module_name),
+                                          connection.ops.max_name_length())
 
     def _prepare(self, model):
         if self.order_with_respect_to:
diff --git a/django/utils/module_loading.py b/django/utils/module_loading.py
index 26a7e51..54c04e9 100644
--- a/django/utils/module_loading.py
+++ b/django/utils/module_loading.py
@@ -14,6 +14,9 @@ def module_has_submodule(package, module_name):
     for finder in sys.meta_path:
         if finder.find_module(name, package.__path__):
             return True
+    # If this isn't really a package return False right away
+    if not hasattr(package, '__path__'):
+        return False
     for entry in package.__path__:  # No __path__, then not a package.
         try:
             # Try the cached finder.
diff --git a/django/utils/text.py b/django/utils/text.py
index 14555dd..2afb2b0 100644
--- a/django/utils/text.py
+++ b/django/utils/text.py
@@ -362,9 +362,9 @@ def unescape_entities(text):
 unescape_entities = allow_lazy(unescape_entities, unicode)
 
 def unescape_string_literal(s):
-    r"""
-    Convert quoted string literals to unquoted strings with escaped quotes and
-    backslashes unquoted::
+    """
+    Converts quoted string literals to unquoted strings with escaped quotes
+    and backslashes unquoted::
 
         >>> unescape_string_literal('"abc"')
         'abc'
@@ -380,3 +380,11 @@ def unescape_string_literal(s):
     quote = s[0]
     return s[1:-1].replace(r'\%s' % quote, quote).replace(r'\\', '\\')
 unescape_string_literal = allow_lazy(unescape_string_literal)
+
+def get_verbose_name(class_name):
+    """
+    Calculates the verbose_name by converting from
+    InitialCaps to "lowercase with spaces".
+    """
+    new = re.sub('(((?<=[a-z])[A-Z])|([A-Z](?![A-Z]|$)))', ' \\1', class_name)
+    return new.lower().strip()
diff --git a/django/utils/translation/trans_real.py b/django/utils/translation/trans_real.py
index 71765e7..5eefd70 100644
--- a/django/utils/translation/trans_real.py
+++ b/django/utils/translation/trans_real.py
@@ -12,6 +12,7 @@ try:
 except ImportError:
     from StringIO import StringIO
 
+from django.apps import cache
 from django.utils.importlib import import_module
 from django.utils.safestring import mark_safe, SafeData
 
@@ -156,9 +157,8 @@ def translation(language):
                     res.merge(t)
             return res
 
-        for appname in reversed(settings.INSTALLED_APPS):
-            app = import_module(appname)
-            apppath = os.path.join(os.path.dirname(app.__file__), 'locale')
+        for app in reversed(cache.loaded_apps):
+            apppath = os.path.join(app._meta.path, 'locale')
 
             if os.path.isdir(apppath):
                 res = _merge(apppath)
diff --git a/django/views/i18n.py b/django/views/i18n.py
index 140dc54..055323e 100644
--- a/django/views/i18n.py
+++ b/django/views/i18n.py
@@ -2,6 +2,7 @@ import os
 import gettext as gettext_module
 
 from django import http
+from django.apps import cache
 from django.conf import settings
 from django.utils import importlib
 from django.utils.translation import check_for_language, activate, to_locale, get_language
@@ -186,7 +187,8 @@ def javascript_catalog(request, domain='djangojs', packages=None):
         packages = ['django.conf']
     if isinstance(packages, basestring):
         packages = packages.split('+')
-    packages = [p for p in packages if p == 'django.conf' or p in settings.INSTALLED_APPS]
+    apps = [app._meta.name for app in cache.loaded_apps]
+    packages = [p for p in packages if p == 'django.conf' or p in apps]
     default_locale = to_locale(settings.LANGUAGE_CODE)
     locale = to_locale(get_language())
     t = {}
diff --git a/tests/appcachetests/anothermodel_app/app.py b/tests/appcachetests/anothermodel_app/app.py
new file mode 100644
index 0000000..7433592
--- /dev/null
+++ b/tests/appcachetests/anothermodel_app/app.py
@@ -0,0 +1,11 @@
+from django import apps
+
+class MyApp(apps.App):
+
+    class Meta:
+        models_path = 'model_app.othermodels'
+
+class MyOtherApp(MyApp):
+
+    class Meta:
+        db_prefix = 'nomodel_app'
diff --git a/tests/appcachetests/anothermodel_app/models.py b/tests/appcachetests/anothermodel_app/models.py
new file mode 100644
index 0000000..cd849d1
--- /dev/null
+++ b/tests/appcachetests/anothermodel_app/models.py
@@ -0,0 +1,12 @@
+from django.db import models
+
+class Job(models.Model):
+    name = models.CharField(max_length=30)
+
+class Person(models.Model):
+    first_name = models.CharField(max_length=30)
+    last_name = models.CharField(max_length=30)
+    jobs = models.ManyToManyField(Job)
+
+class Contact(models.Model):
+    person = models.ForeignKey(Person)
diff --git a/tests/appcachetests/anothermodel_app/othermodels.py b/tests/appcachetests/anothermodel_app/othermodels.py
new file mode 100644
index 0000000..ffb04e8
--- /dev/null
+++ b/tests/appcachetests/anothermodel_app/othermodels.py
@@ -0,0 +1,5 @@
+from django.db import models
+
+class Person(models.Model):
+    first_name = models.CharField(max_length=30)
+    last_name = models.CharField(max_length=30)
diff --git a/tests/appcachetests/model_app/app.py b/tests/appcachetests/model_app/app.py
new file mode 100644
index 0000000..3a3e307
--- /dev/null
+++ b/tests/appcachetests/model_app/app.py
@@ -0,0 +1,34 @@
+from django import apps
+
+class MyApp(apps.App):
+
+    class Meta:
+        models_path = 'model_app.othermodels'
+
+class MyOtherApp(MyApp):
+
+    class Meta(MyApp.Meta):
+        db_prefix = 'nomodel_app'
+
+
+class MySecondApp(MyOtherApp):
+
+    class Meta(MyOtherApp.Meta):
+        models_path = 'model_app.models'
+
+
+class YetAnotherApp(apps.App):
+
+    class Meta:
+        models_path = 'model_app.yetanother'
+
+
+class MyThirdApp(YetAnotherApp, MySecondApp):
+
+    class Meta(YetAnotherApp.Meta, MySecondApp.Meta):
+        pass
+
+
+class MyOverrideApp(MyOtherApp):
+
+    pass
diff --git a/tests/appcachetests/model_app/models.py b/tests/appcachetests/model_app/models.py
new file mode 100644
index 0000000..ffb04e8
--- /dev/null
+++ b/tests/appcachetests/model_app/models.py
@@ -0,0 +1,5 @@
+from django.db import models
+
+class Person(models.Model):
+    first_name = models.CharField(max_length=30)
+    last_name = models.CharField(max_length=30)
diff --git a/tests/appcachetests/model_app/othermodels.py b/tests/appcachetests/model_app/othermodels.py
new file mode 100644
index 0000000..ffb04e8
--- /dev/null
+++ b/tests/appcachetests/model_app/othermodels.py
@@ -0,0 +1,5 @@
+from django.db import models
+
+class Person(models.Model):
+    first_name = models.CharField(max_length=30)
+    last_name = models.CharField(max_length=30)
diff --git a/tests/appcachetests/nomodel_app/app.py b/tests/appcachetests/nomodel_app/app.py
new file mode 100644
index 0000000..194278e
--- /dev/null
+++ b/tests/appcachetests/nomodel_app/app.py
@@ -0,0 +1,7 @@
+from django import apps
+
+class MyApp(apps.App):
+    pass
+
+class ObjectApp(object):
+    pass
\ No newline at end of file
diff --git a/tests/appcachetests/same_label/model_app/models.py b/tests/appcachetests/same_label/model_app/models.py
new file mode 100644
index 0000000..ffb04e8
--- /dev/null
+++ b/tests/appcachetests/same_label/model_app/models.py
@@ -0,0 +1,5 @@
+from django.db import models
+
+class Person(models.Model):
+    first_name = models.CharField(max_length=30)
+    last_name = models.CharField(max_length=30)
diff --git a/tests/appcachetests/same_label/nomodel_app/app.py b/tests/appcachetests/same_label/nomodel_app/app.py
new file mode 100644
index 0000000..86993e0
--- /dev/null
+++ b/tests/appcachetests/same_label/nomodel_app/app.py
@@ -0,0 +1,4 @@
+from django import apps
+
+class MyApp(apps.App):
+    pass
